Fly.io
Tokens

Authorize token for resource access

View as Markdown

Verify a token header and validate it against a requested access scope.

POST
/tokens/authorize

Verify a token header and validate it against a requested access scope.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Request Body

application/json

Authorize token request

access?
header?string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/tokens/authorize" \  -H "Content-Type: application/json" \  -d '{}'
{  "access": {    "action": 1,    "app_feature": "string",    "appid": 0,    "cluster": "string",    "command": [      "string"    ],    "feature": "string",    "machine": "string",    "machine_feature": "string",    "mutation": "string",    "orgid": 0,    "sourceApp": "string",    "sourceMachine": "string",    "sourceOrganization": "string",    "storage_object": "string",    "volume": "string"  },  "verified_token": {    "caveats": {      "caveats": [        {}      ]    },    "header": "string",    "nonce": {      "kid": [        0      ],      "proof": true,      "rnd": [        0      ]    },    "permission_token": [      0    ]  }}
{  "details": {},  "error": "string",  "status": "unknown"}
{  "details": {},  "error": "string",  "status": "unknown"}